# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "ruranges-core"
version = "0.1.5"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core Rust interval algorithms extracted from ruranges"
readme = "README.md"
license = "MIT"
repository = "https://github.com/pyranges/ruranges-core"

[lib]
name = "ruranges_core"
crate-type = ["rlib"]
path = "src/lib.rs"

[dependencies.num-traits]
version = "0.2.19"

[dependencies.radsort]
version = "0.1.1"

[dependencies.rustc-hash]
version = "2.1.0"
